// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Vendor
 *-----------------------------------------------------------------------------
 *
 * @Description              : Vendor的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
type Vendor struct {
	VendorId       string        `xorm:"pk nvarchar(40) 'VendorId'" json:"WM_Vendor-VendorId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Vendor-Descr"`
	Address        string        `xorm:"nvarchar(100) 'Address' not null" json:"WM_Vendor-Address"`
	Name           string        `xorm:"nvarchar(100) 'Name' not null" json:"WM_Vendor-Name"`
	Name1          string        `xorm:"nvarchar(100) 'Name1' not null" json:"WM_Vendor-Name1"`
	Name2          string        `xorm:"nvarchar(100) 'Name2' not null" json:"WM_Vendor-Name2"`
	ValidStartDate grmi.Date     `xorm:"date 'ValidStartDate' not null" json:"WM_Vendor-ValidStartDate"`
	Country        string        `xorm:"nvarchar(100) 'Country' not null" json:"WM_Vendor-Country"`
	City           string        `xorm:"nvarchar(100) 'City' not null" json:"WM_Vendor-City"`
	District       string        `xorm:"nvarchar(100) 'District' not null" json:"WM_Vendor-District"`
	Street         string        `xorm:"nvarchar(100) 'Street' not null" json:"WM_Vendor-Street"`
	Location       string        `xorm:"nvarchar(100) 'Location' not null" json:"WM_Vendor-Location"`
	PostCode       string        `xorm:"nvarchar(20) 'PostCode' not null" json:"WM_Vendor-PostCode"`
	Phone          string        `xorm:"nvarchar(20) 'Phone' not null" json:"WM_Vendor-Phone"`
	Mobile         string        `xorm:"nvarchar(20) 'Mobile' not null" json:"WM_Vendor-Mobile"`
	Fax            string        `xorm:"nvarchar(20) 'Fax' not null" json:"WM_Vendor-Fax"`
	Email1         string        `xorm:"nvarchar(40) 'Email1' not null" json:"WM_Vendor-Email1"`
	Email2         string        `xorm:"nvarchar(40) 'Email2' not null" json:"WM_Vendor-Email2"`
	ContactPerson  string        `xorm:"nvarchar(40) 'ContactPerson' not null" json:"WM_Vendor-ContactPerson"`
	PersonTitle    string        `xorm:"nvarchar(40) 'PersonTitle' not null" json:"WM_Vendor-PersonTitle"`
	ContactAddress string        `xorm:"nvarchar(100) 'ContactAddress' not null" json:"WM_Vendor-ContactAddress"`
	Account        int           `xorm:"int 'Account' not null" json:"WM_Vendor-Account"`
	TaxRate        string        `xorm:"nvarchar(20) 'TaxRate' not null" json:"WM_Vendor-TaxRate"`
	Status         int           `xorm:"int 'Status' not null" json:"WM_Vendor-Status"`
	Province       string        `xorm:"nvarchar(100) 'Province'" json:"WM_Vendor-Province"`
	ProvinceCode   string        `xorm:"nvarchar(20) 'ProvinceCode'" json:"WM_Vendor-ProvinceCode"`
	CityCode       string        `xorm:"nvarchar(20) 'CityCode'" json:"WM_Vendor-CityCode"`
	DistrictCode   string        `xorm:"nvarchar(20) 'DistrictCode'" json:"WM_Vendor-DistrictCode"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Vendor-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Vendor-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Vendor-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
func (self *Vendor) GetKey() core.PK {
	return core.PK{self.VendorId}
}
